Skip to main content
GET
/
items
/
{itemId}
/
resources
/
{resourceId}
Get resource
curl --request GET \
  --url https://api.thehaystack.ai/v2/haystack/items/{itemId}/resources/{resourceId} \
  --header 'Authorization: Bearer <token>'
{
  "resource": {
    "id": 123,
    "itemId": 123,
    "title": "<string>",
    "subTitle": "<string>",
    "description": "<string>",
    "resourceTypeId": 123,
    "displayOrder": 123,
    "contentType": "file",
    "fileMimeType": "<string>",
    "fileSizeBytes": 123,
    "externalPlatform": "youtube",
    "externalPlatformId": "<string>",
    "thumbnailImgUrl": "<string>",
    "url": "<string>",
    "resourceType": {
      "id": 123,
      "name": "<string>"
    },
    "linkTarget": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.thehaystack.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Enter your API token from the Haystack dashboard

Path Parameters

itemId
integer
required
resourceId
integer
required

Query Parameters

_expand
enum<string>[]
Available options:
resourceType

Response

Resource details

resource
object